
package com.amadeus.travelManagement.amadeus.xml._2010._06.travel_offerpricerq_v1;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * &lt;p&gt;Java class for ProgramTypeCodeContentType.
 * 
 * &lt;p&gt;The following schema fragment specifies the expected content contained within this class.
 * &lt;pre&gt;
 * &amp;lt;simpleType name="ProgramTypeCodeContentType"&amp;gt;
 *   &amp;lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&amp;gt;
 *     &amp;lt;enumeration value="Discount Program"/&amp;gt;
 *     &amp;lt;enumeration value="Incentive Program"/&amp;gt;
 *     &amp;lt;enumeration value="Prepaid Program"/&amp;gt;
 *   &amp;lt;/restriction&amp;gt;
 * &amp;lt;/simpleType&amp;gt;
 * &lt;/pre&gt;
 * 
 */
@XmlType(name = "ProgramTypeCodeContentType")
@XmlEnum
public enum ProgramTypeCodeContentType {

    @XmlEnumValue("Discount Program")
    DISCOUNT_PROGRAM("Discount Program"),
    @XmlEnumValue("Incentive Program")
    INCENTIVE_PROGRAM("Incentive Program"),
    @XmlEnumValue("Prepaid Program")
    PREPAID_PROGRAM("Prepaid Program");
    private final String value;

    ProgramTypeCodeContentType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static ProgramTypeCodeContentType fromValue(String v) {
        for (ProgramTypeCodeContentType c: ProgramTypeCodeContentType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
